For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bundle

A bundle represents a batch of objects which are included within the bundle

Creates the resource. If the resource already exists, then a 409 is thrown

post

This operation is a CREATE ONLY operation, and will throw an error if the operation results in a duplicate. If you are looking for a CREATE OR UPDATE method use the POST with identifier operation

Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

A bundle represents a batch of objects which are included within the bundle

modifiedOnstring · dateOptional

Gets the time the bundle was modified

correlationSeqnumber · int64Optional

Gets or sets the sequence control for this bundle

correlationIdstring · uuidOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

focalstring · uuid[]Optional

Entry into the bundle

offsetnumber · int32Optional

Gets or sets the count in this bundle

countnumber · int32Optional

Gets or sets the count in this bundle

totalResultsnumber · int32Optional

Gets or sets the total results

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

Responses
200

Operation was completed successfully

A bundle represents a batch of objects which are included within the bundle

modifiedOnstring · dateOptional

Gets the time the bundle was modified

correlationSeqnumber · int64Optional

Gets or sets the sequence control for this bundle

correlationIdstring · uuidOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

focalstring · uuid[]Optional

Entry into the bundle

offsetnumber · int32Optional

Gets or sets the count in this bundle

countnumber · int32Optional

Gets or sets the count in this bundle

totalResultsnumber · int32Optional

Gets or sets the total results

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

post/Bundle

Returns specific options for a single resource

options
Responses
200

Operation was completed successfully

A bundle represents a batch of objects which are included within the bundle

modifiedOnstring · dateOptional

Gets the time the bundle was modified

correlationSeqnumber · int64Optional

Gets or sets the sequence control for this bundle

correlationIdstring · uuidOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

focalstring · uuid[]Optional

Entry into the bundle

offsetnumber · int32Optional

Gets or sets the count in this bundle

countnumber · int32Optional

Gets or sets the count in this bundle

totalResultsnumber · int32Optional

Gets or sets the total results

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

options/Bundle

Perform a search (query) and return only the headers

head

The HEAD operation is useful if you wish to determine if the header information for a specific result set has resulted in a change

Query parameters
modifiedOnstringOptional

Gets the time the bundle was modified

correlationSeqstringOptional

Gets or sets the sequence control for this bundle

correlationIdstringOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

resourcestringOptional

Gets or sets items in the bundle

focalstringOptional

Entry into the bundle

offsetnumberOptional

Gets or sets the count in this bundle

countnumberOptional

Gets or sets the count in this bundle

totalResultsstringOptional

Gets or sets the total results

idstringOptional

Gets or sets the primary identifying UUID of this object

$selfstringOptional

A query parameter which references itself - this is for query filters which pass the original data in

etagstringOptional

Gets a tag which changes whenever the object is updated

Responses
204

There is not response for this method

No content

head/Bundle

No content

Creates or updates a resource. That is, creates the resource if it does not exist, or updates it if it does

post

This method will attempt to update the resource if it exists (a-la PUT style) however, if a PUT fails the operation will create (a-la POST)

Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional

The identifier of the resource to be created or updated

Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

A bundle represents a batch of objects which are included within the bundle

modifiedOnstring · dateOptional

Gets the time the bundle was modified

correlationSeqnumber · int64Optional

Gets or sets the sequence control for this bundle

correlationIdstring · uuidOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

focalstring · uuid[]Optional

Entry into the bundle

offsetnumber · int32Optional

Gets or sets the count in this bundle

countnumber · int32Optional

Gets or sets the count in this bundle

totalResultsnumber · int32Optional

Gets or sets the total results

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

Responses
200

Operation was completed successfully

A bundle represents a batch of objects which are included within the bundle

modifiedOnstring · dateOptional

Gets the time the bundle was modified

correlationSeqnumber · int64Optional

Gets or sets the sequence control for this bundle

correlationIdstring · uuidOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

focalstring · uuid[]Optional

Entry into the bundle

offsetnumber · int32Optional

Gets or sets the count in this bundle

countnumber · int32Optional

Gets or sets the count in this bundle

totalResultsnumber · int32Optional

Gets or sets the total results

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

post/Bundle/{id}

Updates the specified resource. If the resource does not exist than a 404 is thrown, if there is a conflict (such a mismatch of data) a 409 is thrown

put

This operation will update an existing resource on the server such that the data in the database exactly matches the data passed via the API.

         Note: If you post an incomplete object (such as one missing identifiers, or addresses) then the current resource will have those attributes removed. For partial updates, use the PATCH operation instead.
Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional

The identifier of the resource to be updated

Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

A bundle represents a batch of objects which are included within the bundle

modifiedOnstring · dateOptional

Gets the time the bundle was modified

correlationSeqnumber · int64Optional

Gets or sets the sequence control for this bundle

correlationIdstring · uuidOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

focalstring · uuid[]Optional

Entry into the bundle

offsetnumber · int32Optional

Gets or sets the count in this bundle

countnumber · int32Optional

Gets or sets the count in this bundle

totalResultsnumber · int32Optional

Gets or sets the total results

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

Responses
200

Operation was completed successfully

A bundle represents a batch of objects which are included within the bundle

modifiedOnstring · dateOptional

Gets the time the bundle was modified

correlationSeqnumber · int64Optional

Gets or sets the sequence control for this bundle

correlationIdstring · uuidOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

focalstring · uuid[]Optional

Entry into the bundle

offsetnumber · int32Optional

Gets or sets the count in this bundle

countnumber · int32Optional

Gets or sets the count in this bundle

totalResultsnumber · int32Optional

Gets or sets the total results

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

put/Bundle/{id}

Deletes the specified resource from the server

delete

This operation either logically or permanently deletes the identified resource so that it no longer appears in general searches. The method of deletion is controlled by the

Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional

The identifier of the resource to be deleted

Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Responses
200

Operation was completed successfully

A bundle represents a batch of objects which are included within the bundle

modifiedOnstring · dateOptional

Gets the time the bundle was modified

correlationSeqnumber · int64Optional

Gets or sets the sequence control for this bundle

correlationIdstring · uuidOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

focalstring · uuid[]Optional

Entry into the bundle

offsetnumber · int32Optional

Gets or sets the count in this bundle

countnumber · int32Optional

Gets or sets the count in this bundle

totalResultsnumber · int32Optional

Gets or sets the total results

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

delete/Bundle/{id}

Retrieves only the metadata of the specified resource

head

The metadata for the most recent version of this resource includes the last modified time, the e-tag, etc.

Path parameters
idstringOptional

The identifier of the resource to be retrieved

Query parameters
modifiedOnstringOptional

Gets the time the bundle was modified

correlationSeqstringOptional

Gets or sets the sequence control for this bundle

correlationIdstringOptional

A unique identifier which correlates this bundle with other bundles that are about the same "subject"

resourcestringOptional

Gets or sets items in the bundle

focalstringOptional

Entry into the bundle

offsetnumberOptional

Gets or sets the count in this bundle

countnumberOptional

Gets or sets the count in this bundle

totalResultsstringOptional

Gets or sets the total results

idstringOptional

Gets or sets the primary identifying UUID of this object

$selfstringOptional

A query parameter which references itself - this is for query filters which pass the original data in

etagstringOptional

Gets a tag which changes whenever the object is updated

Responses
204

There is not response for this method

No content

head/Bundle/{id}

No content

Updates the specified resource according to the instructions in the PATCH file

patch

The PATCH operation allows for partial updating of a resource.

         This method must be used in conjunction with an If-Match header indicating the version that you would like apply the patch against.
        
         The server will load the most recent version and compre the version code with If-Match, if the match is successful the instructions in the PATCH are applied to the loaded version.
Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional

The identifier of the resource to be patched

Body

Represents a series of patch instructions

versionstringOptional

Gets or sets the version of the patch file

appliesToanyOptional

Application version

creationTimestringOptional

Gets or sets the creation time as an ISO date format

obsoletionTimestringOptional

Gets or sets the time that the data is no longer valid (was deleted/obsoleted) in ISO format

modifiedOnstring · dateOptional

Gets the time that the object was last modified (from base data, default to CreationTime)

createdBystring · uuidOptional

Gets or sets the security provenance object which represents the creation of this object

obsoletedBystring · uuidOptional

Gets or sets the security provenance object which represents the obsoletion of this data

idstring · uuidOptional

Gets or sets the primary identifying UUID of this object

operationstring · enumOptional

Gets or sets the operation

Possible values:
$typestringOptional

Gets the type registration of this object

Responses
204

There is not response for this method

No content

patch/Bundle/{id}

No content

Invokes the specified operation

post

In SanteDB an operation or method is invoked using

Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional

The ID of the object which scopes the operation

Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/{id}/$diff

Invokes the specified operation

post

In SanteDB an operation or method is invoked using

Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional

The ID of the object which scopes the operation

Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/{id}/$tag

Invokes the specified operation

post

In SanteDB an operation or method is invoked using

Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional

The ID of the object which scopes the operation

Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/{id}/$analyze

Invokes the specified operation

post

In SanteDB an operation or method is invoked using

Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstringOptional

The ID of the object which scopes the operation

Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/{id}/$validate

Invokes the specified operation

post
Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/$analyze

Invokes the specified operation

post
Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/$xsd-complete

Invokes the specified operation

post
Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/$schema-complete

Invokes the specified operation

post
Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/$validate

Invokes the specified operation

post
Required scopes
This endpoint requires the following scopes:
  • : Login as a Service
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
_viewModelstringOptional

When using the view model serializer - specifies the view model definition to use which will load properties and return them inline in the response

Body

Gets the operation invokation

Responses
200

Operation was completed successfully

object · ObjectOptional
post/Bundle/$xref-use

Last updated

Was this helpful?